package com.pms.ocp.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import com.pms.ocp.model.dto.*;
import com.pms.ocp.model.entity.OcpApiGroup;
import com.pms.ocp.model.entity.OcpTenantGroup;
import com.pms.ocp.model.vo.ResponseVO;

import java.util.List;
import java.util.Set;

public interface TenantService  extends IService<OcpTenantGroup> {
    /**
     * 应用树分类管理
     * @return
     */
    List<OcpTenantGroup> getTree(String tenantGroupCode,String tenantGroupCompanyCode);

    /**
     * 应用新增
     * @param
     * @return
     */
    boolean getTenanInster(TenanBaseDto TenanBaseDto);

    /**
     * 修改应用
     * @param ocpTenantGroup
     * @return
     */
    boolean getTenantUpdata(OcpTenantGroup ocpTenantGroup);

    /**
     * 删除服务
     * @param ocpTenantGroup
     * @return
     */
    boolean gettenantDelete(OcpTenantGroup ocpTenantGroup);




    /**
     * 应用--查询
     * @param tenantGroupCode
     * @param tenantGroupCompanyCode
     * @return
     */
    Page<OcpTenantGroup> getselects(String tenantGroupCode,String tenantGroupCompanyCode,int currentPage,int pageSize);

/*//    应用分类--一级
    OcpTenantGroupDto getTenantOneTree();
    //    应用分类--二级
    List<TwoTenanList> getTenantTwoTree(String code);*/

  /*  *//**
     *  //    应用分类--三级
     * @param code
     * @return
     *//*
    List<ThreeTenanList> getTenantThreeTree(String code);*/
}
